.dataTables_wrapper .dataTables_filter {
    float: left
}

.dataTables_wrapper .dt-buttons {
    float: right
} 

.navbar-collapse {
    flex-basis: min-content;
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
}

.navbar-nav>li>a {
    color: #58697a !important;

    z-index: 999;
    --border-color: #7abd00 !important;
    --border-width: 3px;
    --bottom-distance: 4px;


    background-image: linear-gradient(var(--border-color), var(--border-color));
    background-size: 0% var(--border-width);
    background-repeat: no-repeat;
    transition: background-size 0.3s;

}

.nav-item {
    text-align: center;
    margin-right: 0.7em;
    margin-bottom: -0.5em;
}

.toggle {
    width: 60px;
}

.toggle a {
    padding: 0;
}

.nav-link:hover {
    color: #7abd00 !important;
    background-size: 100% var(--border-width);
}

.nav-link i:hover {
    text-shadow: 0 1px 1px rgba(101, 101, 101, 0.795);
}

.navbar-icon-top .navbar-nav .nav-link>.fa {
    position: relative;
    width: 36px;
    font-size: 22px;
    margin-bottom: -2px !important;
}

.navbar-icon-top .navbar-nav .nav-link>.fa {
    top: 3px;
    line-height: 12px;

}

.navbar-nav>.active>.nav_icono {
    color: #7abd00 !important;

    /* border-bottom:3px solid #7abd00; */
}

.nav_icono {
    background-position: 50% calc(100% - var(--bottom-distance));
}

@media (min-width: 576px) {
 

    .navbar-icon-top.navbar-expand-sm .navbar-nav .nav-link {
        text-align: center;
        display: table-cell;

        vertical-align: middle;
        padding-top: 0;
        padding-bottom: 0;
    }

    .navbar-icon-top.navbar-expand-sm .navbar-nav .nav-link>.fa {
        display: block;
        width: 26px;
        margin: 2px auto 4px auto;
        top: 0;
        line-height: 24px;
    }

    .navbar-nav {
        overflow: visible !important;
        display: flex;
        flex-wrap: wrap;
    }

    .dropdown-menu.show {
        position: absolute;
        left: -60px;
    }
}

@media (max-width: 988px) {
    #smallScreenMenuButton {
        display: block !important; 
    }
}

@media (max-width: 512px) {
 
    #smallScreenMenuButton {
        display: block !important; 
    }
   .navbarNavDropdown {
        display: none; /* Ocultar el navbar-collapse en pantallas pequeñas */
        /*flex-direction: row-reverse;*/
    }

    .dropdown-menu.show {
        position: absolute;
        left: -101px;
    }
}


/*@media (max-width: 512px) {
    /* .iconos_main {
        display: none !important;
    } 

    .navbar-collapse {
        overflow: visible !important;
        /*flex-direction: row-reverse;
    }

    .dropdown-menu.show {
        position: absolute;
        left: -101px;
    }

}*/

@media (min-width: 768px) {
   

    .navbar-icon-top.navbar-expand-md .navbar-nav .nav-link {
        text-align: center;
        display: table-cell;

        vertical-align: middle;
        padding-top: 0;
        padding-bottom: 0;
    }

    .navbar-icon-top.navbar-expand-md .navbar-nav .nav-link>.fa {
        display: block;
        width: 26px;
        margin: 2px auto 4px auto;
        top: 0;
        line-height: 24px;
    }


}

@media (min-width: 992px) {

    

    .navbar-icon-top.navbar-expand-lg .navbar-nav .nav-link {
        text-align: center;
        display: table-cell;

        vertical-align: middle;
        padding-top: 0;
        padding-bottom: 0;
    }

    .navbar-icon-top.navbar-expand-lg .navbar-nav .nav-link>.fa {
        display: block;
        width: 48px;
        margin: 2px auto 4px auto;
        top: 0;
        line-height: 24px;
    }




}

@media (min-width: 1200px) {
    .navbar-icon-top.navbar-expand-xl .navbar-nav .nav-link {
        text-align: center;
        display: table-cell;

        vertical-align: middle;
        padding-top: 0;
        padding-bottom: 0;
    }

    .navbar-icon-top.navbar-expand-xl .navbar-nav .nav-link>.fa {
        display: block;
        width: 48px;
        margin: 2px auto 4px auto;
        top: 0;
        line-height: 24px;
    }


}

canvas {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

 .menu-popover {
    width: auto;
    box-shadow: 1px 3px 6px rgb(0 0 0 / 15%);
    border: none;
    z-index: 99999;
}

 .menu-popover .popover-body {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Dos columnas */
    align-items: center;
    justify-content: center;
}

 .menu-popover .popover-body a {
    display: grid;
    text-align: center;
   
}

 .menu-popover .popover-body a i {
    font-size: 20px; 
}



